﻿using System.Collections.Generic;
using System.IO;

namespace ZipComponents
{
    public class ZipComponent
    {
        private readonly IDataReader _dataReader;

        public ZipComponent(IDataReader dataReader)
        {
            _dataReader = dataReader;
        }

        public string[] GetZip(string city)
        {
            List<string> results = new List<string>();

            foreach (string line in _dataReader.Lines)
            {
                string[] words = line.Split('\t');
                string zip = words[1];
                string cityPart = words[2];
                if (cityPart.Contains(city))
                {
                    results.Add(zip);
                }
            }

            return results.ToArray();
        }
    }
}